%define major 25
%define libname %mklibname opts %{major}
%define libnamedevel %mklibname opts -d
%define libnamestaticdevel %mklibname opts -d -s

Summary:	Simplifies the creation and maintenance of programs
Name:		autogen
Version:	5.15
Release:	1
Group:		Development/Other
License:	GPLv2+
URL:		http://www.gnu.org/software/autogen/
Source0:	http://ftp.gnu.org/gnu/autogen/rel%{version}/%{name}-%{version}.tar.gz
Requires(preun):	info-install
BuildRequires:	chrpath
BuildRequires:	libguile-devel
BuildRequires:	libxml2-devel

%description
AutoGen is a tool designed to simplify the creation and maintenance 
of programs that contain large amounts of repetitious text. It is 
especially valuable in programs that have several blocks of text 
that must be kept synchronized.

%package -n %{libname}
Summary:	Main library for %{name}
Group:		Development/Other
Obsoletes:	%{_lib}autogen0 < 5.11.8

%description -n	%{libname}
AutoGen is a tool designed to simplify the creation and maintenance 
of programs that contain large amounts of repetitious text. It is 
especially valuable in programs that have several blocks of text 
that must be kept synchronized.

%package -n %{libnamedevel}
Summary:	Development headers and libraries for %{name}
Group:		Development/Other
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}autogen0-devel < 5.11.8
Obsoletes:	%{_lib}autogen-devel < 5.11.8
Requires:	%{libname} = %{version}-%{release}

%description -n	%{libnamedevel}
AutoGen is a tool designed to simplify the creation and maintenance 
of programs that contain large amounts of repetitious text. It is 
especially valuable in programs that have several blocks of text 
that must be kept synchronized.

%package -n %{libnamestaticdevel}
Summary:	Static libraries for %{name}
Group:		Development/Other
Provides:	%{name}-static-devel = %{version}-%{release}
Requires:	%{libnamedevel} = %{version}-%{release}
Obsoletes:	%{_lib}autogen-static-devel < 5.11.8

%description -n	%{libnamestaticdevel}
AutoGen is a tool designed to simplify the creation and maintenance 
of programs that contain large amounts of repetitious text. It is 
especially valuable in programs that have several blocks of text 
that must be kept synchronized.

%prep
%setup -q

%build
%configure2_5x
%make

%install

%makeinstall_std
find %{buildroot} -name *.la -delete

mkdir -p %{buildroot}%{_libdir}
mv %{buildroot}%{_datadir}/pkgconfig %{buildroot}%{_libdir}

%{_bindir}/chrpath -d %{buildroot}/%{_libdir}/lib*.so.* %{buildroot}/%{_bindir}/{autogen,columns,getdefs,xml2ag}

%multiarch_binaries %{buildroot}%{_bindir}/autoopts-config

%preun
%_remove_install_info %{name}.info

%files
%doc README TODO
%{_bindir}/autogen
%{_bindir}/columns
%{_bindir}/getdefs
%{_bindir}/xml2ag
%{_infodir}/autogen.info*
%{_mandir}/*/*
%{_datadir}/aclocal/*
%{_datadir}/autogen

%files -n %{libname}
%{_libdir}/libopts.so.%{major}
%{_libdir}/libopts.so.%{major}.*

%files -n %{libnamedevel}
%defattr(0755,root,root,0755)
%{_bindir}/autoopts-config
%multiarch_bindir/autoopts-config

%defattr(0644,root,root,0755)
%{_includedir}/autoopts
%{_libdir}/*.so
%{_libdir}/pkgconfig/*

%files -n %{libnamestaticdevel}
%defattr(0644,root,root,0755)
%{_libdir}/*.a


%changelog
* Sat Mar 03 2012 Alexander Khrukin <akhrukin@mandriva.org> 5.15-1
+ Revision: 782040
- version update 5.15

* Thu Sep 29 2011 Andrey Bondrov <abondrov@mandriva.org> 5.12-1
+ Revision: 701895
- New version: 5.12

* Wed May 18 2011 Funda Wang <fwang@mandriva.org> 5.11.9-1
+ Revision: 676023
- new version 5.11.9

* Sat Apr 23 2011 Funda Wang <fwang@mandriva.org> 5.11.8-1
+ Revision: 657752
- New version 5.11.8
- use multiarch macros for config file

* Tue Nov 30 2010 Oden Eriksson <oeriksson@mandriva.com> 5.10-3mdv2011.0
+ Revision: 603482
- rebuild

* Tue Feb 09 2010 Funda Wang <fwang@mandriva.org> 5.10-2mdv2010.1
+ Revision: 503359
- rebuild for new gmp

* Mon Nov 09 2009 Funda Wang <fwang@mandriva.org> 5.10-1mdv2010.1
+ Revision: 463355
- new version 5.10

* Sat May 16 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 5.9.8-1mdv2010.0
+ Revision: 376464
- update to new version 5.9.8

* Thu Jan 29 2009 Funda Wang <fwang@mandriva.org> 5.9.7-2mdv2009.1
+ Revision: 335074
- rebuild for new libtool

* Sun Jan 04 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 5.9.7-1mdv2009.1
+ Revision: 324500
- update to new version 5.9.7

* Thu Nov 20 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 5.9.6-2mdv2009.1
+ Revision: 305356
- do not protect major (ffs this is my second mistake...)
- update to new version 5.9.6
- correct urls
- get rid of -Werror flag as it breaks build
- major has changed from 0 to 25, since it is now protected
- add provides/obsoletes for main library

* Mon Jun 23 2008 Oden Eriksson <oeriksson@mandriva.com> 5.9.5-2mdv2009.0
+ Revision: 227986
- rebuilt due to PayloadIsLzma problems

* Sun Jun 22 2008 Oden Eriksson <oeriksson@mandriva.com> 5.9.5-1mdv2009.0
+ Revision: 227867
- 5.9.5
- added P0 to fix linkage

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Sun Dec 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 5.9.4-1mdv2008.1
+ Revision: 139564
- new version

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Oct 26 2007 Funda Wang <fwang@mandriva.org> 5.9.3-1mdv2008.1
+ Revision: 102347
- update to new version 5.9.3

* Tue Sep 04 2007 David Walluck <walluck@mandriva.org> 5.9.2-1mdv2008.0
+ Revision: 78922
- 5.9.2
- new lib policy

* Sun May 06 2007 David Walluck <walluck@mandriva.org> 5.9.1-1mdv2008.0
+ Revision: 23681
- 5.9.1

